Package org.globus.myproxy

# Class MyProxyException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.globus.myproxy.MyProxyException

All Implemented Interfaces:
  `Serializable`

public class MyProxyException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MyProxyException(String msg)`
`MyProxyException(String msg, Throwable ex)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MyProxyException

public MyProxyException(String msg)

### MyProxyException

public MyProxyException(String msg, Throwable ex)